package com.ruoyi.project.patrol.emergency.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 应急事故柜对象 t_emergency_cabinet
 *
 * @author admin
 * @date 2023-11-07
 */
public class TEmergencyCabinet extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    public TEmergencyCabinet() {
    }

    public TEmergencyCabinet(String devName,String devNum,String devType, Long month, Long year, Long planId,String createrCode) {
        this.devName = devName;
        this.devNum = devNum;
        this.devType = devType;
        this.month = month;
        this.year = year;
        this.planId = planId;
        this.issuesStatus = "0";
        this.checkStatus = "0";
        this.createdate = new Date();
        this.createrCode = createrCode;
    }
    /** ID */
    private Long id;

    /** 器材名称 */
    @Excel(name = "器材名称")
    private String devName;

    /** 器材标配数量 */
    @Excel(name = "器材标配数量")
    private String devNum;

    /** 器材数量 */
    @Excel(name = "器材数量")
    private String quantityEquipment;

    /** 器材完好度 */
    @Excel(name = "器材完好度")
    private String equipmentIntegrity;

    /** 器材整洁度 */
    @Excel(name = "器材整洁度")
    private String equipmentCleanliness;

    /** 器材标签有效期 */
    @Excel(name = "器材标签有效期")
    private String labelValidity;

    /** 自给空气呼吸器气压值（&gt;27MPa） */
    @Excel(name = "自给空气呼吸器气压值（>27MPa）")
    private String barometricValue;

    /** 自给空气呼吸器有效日期 （钢瓶有效期15年，三年检查一次并贴标） */
    @Excel(name = "自给空气呼吸器有效日期 （瓶有效期15年，三年检查一次并贴标）")
    private String respiratorExpiration;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirmed;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 检查时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 事故柜类型 */
    @Excel(name = "事故柜类型")
    private String devType;

    /** 检查状态 */
    @Excel(name = "检查状态")
    private String checkStatus;

    /** 月度 */
    @Excel(name = "月度")
    private Long month;

    /** 年度 */
    @Excel(name = "年度")
    private Long year;

    /** 删除标识0未删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 计划id */
    @Excel(name = "计划id")
    private Long planId;

    /** 问题文件地址 */
    @Excel(name = "问题文件地址")
    private String problemFileUrl;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String fileUrl;

    /** 检测是否有问题1：是，0：否 */
    @Excel(name = "检测是否有问题1：是，0：否")
    private String issuesStatus;

    /** 是否为问题记录数据 */
    @Excel(name = "是否为问题记录数据")
    private String issuesFlag;

    /** 问题修复附件 */
    @Excel(name = "问题修复附件")
    private String repairFile;

    /** 免检项 */
    private String ignoreColumn;

    public String getIgnoreColumn() {
        return ignoreColumn;
    }

    public void setIgnoreColumn(String ignoreColumn) {
        this.ignoreColumn = ignoreColumn;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDevName(String devName)
    {
        this.devName = devName;
    }

    public String getDevName()
    {
        return devName;
    }
    public void setDevNum(String devNum)
    {
        this.devNum = devNum;
    }

    public String getDevNum()
    {
        return devNum;
    }
    public void setQuantityEquipment(String quantityEquipment)
    {
        this.quantityEquipment = quantityEquipment;
    }

    public String getQuantityEquipment()
    {
        return quantityEquipment;
    }
    public void setEquipmentIntegrity(String equipmentIntegrity)
    {
        this.equipmentIntegrity = equipmentIntegrity;
    }

    public String getEquipmentIntegrity()
    {
        return equipmentIntegrity;
    }
    public void setEquipmentCleanliness(String equipmentCleanliness)
    {
        this.equipmentCleanliness = equipmentCleanliness;
    }

    public String getEquipmentCleanliness()
    {
        return equipmentCleanliness;
    }
    public void setLabelValidity(String labelValidity)
    {
        this.labelValidity = labelValidity;
    }

    public String getLabelValidity()
    {
        return labelValidity;
    }
    public void setBarometricValue(String barometricValue)
    {
        this.barometricValue = barometricValue;
    }

    public String getBarometricValue()
    {
        return barometricValue;
    }
    public void setRespiratorExpiration(String respiratorExpiration)
    {
        this.respiratorExpiration = respiratorExpiration;
    }

    public String getRespiratorExpiration()
    {
        return respiratorExpiration;
    }
    public void setConfirmed(String confirmed)
    {
        this.confirmed = confirmed;
    }

    public String getConfirmed()
    {
        return confirmed;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setDevType(String devType)
    {
        this.devType = devType;
    }

    public String getDevType()
    {
        return devType;
    }
    public void setCheckStatus(String checkStatus)
    {
        this.checkStatus = checkStatus;
    }

    public String getCheckStatus()
    {
        return checkStatus;
    }
    public void setMonth(Long month)
    {
        this.month = month;
    }

    public Long getMonth()
    {
        return month;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setPlanId(Long planId)
    {
        this.planId = planId;
    }

    public Long getPlanId()
    {
        return planId;
    }
    public void setProblemFileUrl(String problemFileUrl)
    {
        this.problemFileUrl = problemFileUrl;
    }

    public String getProblemFileUrl()
    {
        return problemFileUrl;
    }
    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }
    public void setIssuesStatus(String issuesStatus)
    {
        this.issuesStatus = issuesStatus;
    }

    public String getIssuesStatus()
    {
        return issuesStatus;
    }
    public void setIssuesFlag(String issuesFlag)
    {
        this.issuesFlag = issuesFlag;
    }

    public String getIssuesFlag()
    {
        return issuesFlag;
    }
    public void setRepairFile(String repairFile)
    {
        this.repairFile = repairFile;
    }

    public String getRepairFile()
    {
        return repairFile;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("devName", getDevName())
            .append("devNum", getDevNum())
            .append("quantityEquipment", getQuantityEquipment())
            .append("equipmentIntegrity", getEquipmentIntegrity())
            .append("equipmentCleanliness", getEquipmentCleanliness())
            .append("labelValidity", getLabelValidity())
            .append("barometricValue", getBarometricValue())
            .append("respiratorExpiration", getRespiratorExpiration())
            .append("confirmed", getConfirmed())
            .append("remarks", getRemarks())
            .append("checkDate", getCheckDate())
            .append("devType", getDevType())
            .append("checkStatus", getCheckStatus())
            .append("month", getMonth())
            .append("year", getYear())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("planId", getPlanId())
            .append("problemFileUrl", getProblemFileUrl())
            .append("fileUrl", getFileUrl())
            .append("issuesStatus", getIssuesStatus())
            .append("issuesFlag", getIssuesFlag())
            .append("repairFile", getRepairFile())
            .toString();
    }
}
